Skip to main content
POST
/
metrics
/
generate-config
Generate metric configuration from specifications
curl --request POST \
  --url https://api.galtea.ai/metrics/generate-config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "specificationIds": [
    "spec_123",
    "spec_456"
  ],
  "automaticCreation": false,
  "maxMetricsPerSpecification": 123,
  "isOnboarding": false
}
'
{}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
specificationIds
string[]
required

IDs of the specifications to generate metrics for

Example:
["spec_123", "spec_456"]
automaticCreation
boolean

When true, creates metrics from generated config

Example:

false

maxMetricsPerSpecification
integer

Maximum number of metrics to generate per specification

isOnboarding
boolean

Whether this is an onboarding flow

Example:

false

Response

Metric configuration generated successfully

Generated metric configuration suggestion